# **权限控制**

> 存储于manager.authorities字段，由逗号分隔符组成权限代号列表

> 分配权限很灵活，不限于普通管理员/超级管理员之分。可以为不同的管理员，组合任意的权限列表。

> 例如：GAME_VIEW,FIRMWARE_VIEW,HARDWARE_VIEW,PRODUCE_VIEW,SUBJECT_VIEW

- 权限拦截方法

    > 后台 Manager::checkAuth()

- 权限分类

    - 普通权限

        > Manager::$regularAuthorAuthorities

    - 高级权限

        > Manager::$superAuthorities

---
<br>


# **管理身份**
> 新注册的人员，并无管理权限(manager.is_valid=0)
> 
> 当manager.is_valid字段=1时，才有效（详见后台菜单"新入管理审核"）
> 
> 当manager.is_root字段=1时，权限不受authorities字段影响。

---
<br>


# **操作记录**

> 存储于manager_log表

如需加新功能，就在ManagerLog::$uriMap新增URI键值对。

这些URI有助于操作记录筛选。

---
<br>

