# **游戏信息**
- 应特别关注信息：标签、版本、发布状态、上/下架、下载地址、各平台包名、是否为H5游戏、各种MET

---
<br>

# **版本库**
> 表 game_pub_ver

- 版本号格式

    > (0~255).(0~255).(0~255)

- 字段game_data

    > 每次发版，会将整条game数据，排除id字段，以JSON备份到此字段。

- 发版说明

    > 1. 在填写版本号时应想好填多少，一旦保存数据，版本号将不可修改。
    >
    > 2. 为减少不必要的BUG，在后台游戏版本编辑页，如遇到不可编辑的部分，又需要更改，请通过发布新版的方式达成。
    > 3. 对于棋哥经常以手动改game表的方式发版的说明。
    >       - 这种做法，不会新增game_pub_ver数据。
    >       - 为了保证数据完整性，后台在加载/game/verlist页面时，自动检查game表版本是否被修改，来决定是否增加对应的game_pub_ver数据。
    >       - 这样，造成在后台经常看到版本库列表里有一堆待审核的版本的假象，但不影响正在运营的游戏。
    >       - 可以理解为，game_pub_ver只是game表的快照列表，对于线上有影响的，只是game表本身的数据。
    >       - 如觉得碍眼，可以在版本库中，将最新的版本，逐步改为正式发布状态

- 新版推送逻辑

    > 以上架(is_online=1)列表中的版本最高、状态(pub_status=2)为正式的为准。

---
<br>

# **发布状态**

 - 待审核

    > 略

 - 预发布

    > 需要指定测试用户UID列表
    > 
    > 前台控制代码
    > - 接口/game/all
    > - Game::usingGrayIfPossible() //获取预发布版本内容（对测试人员开放）
    > - Game::getGrayListWhereOffline() //用于补充未上线游戏的预发布版本（给完全未上架过的游戏，提供测试机会）

 - 正式发布
    > 略

---
<br>


# **游戏详情页评论区**

> 借用了社区中的subject/comment表

评论区(`comment`)，必然需要帖子(`subject`)的支撑。

在游戏评论区首次加载时（详见前台`/game/all`接口和`GameSubject::autoRelate()`代码），将自动创建这样的特殊帖子(`subject`)，并与游戏ID关联起来，保存到`game_subject`表。

这些特殊的帖子(`subject`)，会保存到一个特殊论坛分区(`subject.forum_id`)，其发帖者，也是一个名为`System Game Bot`的特殊官方号。这个官号，也是自动创建的。

有了专属帖子数据后，评论区就应运而生了。


