# **账号迁移方法**

1、自助迁移：通过 [偶游用户中心](http://account.ouj.com/bind.html) ，由用户自己决定换绑账号。

2、人工协助（针对旧登录方式无法使用的情况）：

> 1. 后台登录 [页游管理->用户维护->[通过角色昵称查找](http://admin.ouj.com/#!nodeId=80036)]
> 2. 输入游戏角色的昵称查询，分析JSON结果，找到合适正确的角色数据块，
        其中的user_data.uid是其平台UID，
        user_data.yyuid是其UDBProxy账号系统的YYUID，
        这样就拿到了其旧登录方式的两个关键信息。
> 3. 请玩家用新的且长期稳定使用的QQ/微信登录 [偶游用户中心](http://account.ouj.com/bind.html)，
        成功登录后，再点击页面顶部的【[页游信息](https://pgame.ouj.com/user/myinfopage)】，
        将页面中看到的用户明细数据/角色数据等，通过截屏的方式，发给工作人员。
> 4. 步骤3中，可以看到玩家用新账号登录后得到的 YYUID/UDB/平台用户ID 等数据，
        交给技术人员更换 [YYUID <-> 页游平台ID] 绑定关系。
        至此结束。

缺陷：由于厂商系统只以页游平台UID为身份判别依据，故不能对单个角色迁移，要迁就迁移整个页游账号(平台UID)。

--- 

<br>

# **手动拉取用户的所有区服角色**

> 后台操作：http://admin.ouj.com/#!nodeId=80196
> 代码：位于前台 cron/SyncRolesByUid

界面给的功能，属于快速拉取。

怀疑用户因游戏合并服找不到角色数据时，就需采用技术手段。

> 登录页游前台服务器，执行 sudo /usr/local/php/bin/php cli.php -ccron -asyncrolesbyuid --get="slow=1&uid=这里待填写页游UID" --host='pgame.ouj.com'。

> 可以看到，命令行方式，多了个slow参数，当设置1时，会以极慢的速度全区服无差别扫描。

---

<br>

# **区服配置复用功能**

> 源码：svn://svn.webdev.ouj.com/biz/page_game/doc/后台DIY系统插入代码备忘/登录配置-剪贴板/copy-paste-loginsetup.html

在页游管理-游戏维护-[登录配置](http://admin.ouj.com/#!nodeId=9036)，点击“修改”，会在弹出浮层的右下角，展示复制和粘贴的大按钮，如下图所示：

> ![复制粘贴配置](http://static.ouj.com/oujcms_yxdt/20221116/6fa27907fe02a23d81ae885c87420b3a_size711x473_37158.png)


---
<br>



# **政府实名接入(202105)**


> 代码：svn://svn.webdev.ouj.com/biz/page_game/trunk/api/protected/extensions/GovFcm.php

> 相关文档：svn://svn.webdev.ouj.com/biz/page_game/doc/政府防沉迷接入

> 核心逻辑：GovFcm::checkIdcard()

> 政府接入管理平台账号：svn://svn.webdev.ouj.com/biz/page_game/doc/政府防沉迷接入/政府系统管理账号
>> 请找之神加入管理员身份，并注意每半年定期更换密钥

- 登录拦截
    > 代码：GovFcm::loginFilter()

- 支付拦截
    > 代码：GovFcm::payFilter()




# **每月初，人工导出订单EXCEL给财务**
> http://pgame.ouj.com/order/exportorder?st=2020-02-01&et=2020-03-01
>> st参数：上个月1号
>> et参数：本月1号
> 这样查到的数据是上月第一天到最后一天的



# **充值发货失败（补单）**

> 补单列表地址：https://pgame.ouj.com/order/NeedToDelivery

2021-08-06 12:43:00(含)之前的数据不用管！

对于“标记跨月”的解释：如果看到的订单充值日期是上月的，而实际补单操作时间和充值月份不同，那就要点击“标记跨月”。

这类订单，会保存在后台 [充值相关]-[跨月补单列表] 中，在前台有导出工具(/order/ExportOrderKuayue)，导出后跟财务备注说明这些订单来不及在当月补单。


# **日志清理tmp_log**

建议每个月清理一次

> delete from tmp_log where log_time <= '2022-10-09 00:00:00' limit 2000000


# **定位玩家信息的方法**

> 如果玩家能提供角色昵称，那么可以通过后台 [用户维护]-[通过角色昵称查找] 来定位UID

还有另一种方法定位玩家UID：
> 一般之神（客服）跟玩家沟通，需要索取玩家基本信息时，会要求其登录 http://account.ouj.com/bind.html，查看其信息。

技术这边，直接用https://pgame.ouj.com/user/myinfopage。
支持参数
    
- uid 页游UID，不是YYUID
- udb 偶家通用登录的UDB


